Currently Being Moderated

The SAP Integration and Certification Center (SAP ICC) would like to inform partners and ISVs that the classic RFC library librfc32(.dll) will no longer be supported after March 31, 2016 and should immediately start to transition to the new SAP NetWeaver RFC Library now.  SAP Integration Certification for solutions integrating via the old RFC library will no longer be possible starting April 2013 and onwards because certifications are valid for 3 years.

 

In order to help, SAP ICC has provided the following frequently asked questions (FAQ) by partners and ISVs to help during this transition:

  • What SAP note provides further details?
    • SAP note: 1025361 - Support and Availability of the SAP NetWeaver RFC Library.
    • SAP note: 1005832 - Overview of RFC Libraries and SDK.
  • What SAP product releases are these related to?
    SAP no longer supports the classic RFC SDK or the classic RFC library after the maintenance end of SAP Release 7.10 (March 31, 2016).  This end of maintenance also applies to SAP Releases 7.11 and 7.20.
  • Why am I informed that early?
    SAP Integration Certifications are valid for 3 years, i.e. the last certification of solutions with the classic RFC library (librfc32) can be done in March 2013 in order not to exceed the maintenance date of the classic RFC library until March 31, 2016.  After that date, we cannot accept solutions using librfc32, since the validity date of the certification would exceed the support for librfc32.
  • What alternative tools am I supposed to use instead?
    SAP ICC recommends the use of more recent tools – such as the SAP NetWeaver RFC Library, SAP Java Connector, SAP Connector for Microsoft .NET.  For more details, please visit: http://service.sap.com/connectors.
  • How can I get the new SAP NetWeaver RFC Library?
    It can be downloaded from SAP Service Marketplace, please visit: http://service.sap.com/connectors.
  • Can I simply compile my program with the new SAP NetWeaver RFC Library?
    No, this is not possible, since the new lib has a new API.  You have to rewrite your interface program and use the new functions.  The new lib is very easy to use, and supports Unicode and non-Unicode.
  • Do programs built with the new SAP NetWeaver RFC Lib run with older versions of SAP solutions?
    Yes, the new lib supports all SAP NetWeaver and R/3 systems, back to 4.0.
  • What are the limitations of the new SAP NetWeaver RFC Lib?
    It does not support communication between two external systems.  For example, it is no longer possible to connect an external program with SAP Process Integration (PI) by using the PI RFC Adapter.

 

If you have any questions or need further assistance, please contact your SAP ICC Integration Consultant at icc@sap.com.

Actions

Filter Blog

By author: By date:
By tag: